Bug 31633 - iptables-restore very broken
iptables-restore very broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-13 08:05 EST by Emmanuel Galanos
Modified: 2007-03-26 23:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-13 08:05:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Galanos 2001-03-13 08:05:37 EST
I am using iptables-1.2.0-10. iptables-restore is unable to
properly restore this:
*filter
:INPUT DROP [0:0]
-p all -m state --state ESTABLISHED,RELATED -j ACCEPT
-p udp -m udp --sport 53 --dport 1024:65535 -j ACCEPT
:FORWARD DROP [0:0]
:OUTPUT ACCEPT [6:300]
COMMIT

(incomplete rule set as I was saving/restoring after every command)
The UDP port ranges are lost.
Comment 1 Preston Brown 2001-03-14 15:35:24 EST
fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.